Supercheck LogoSupercheck
Jobs API

Get job details

Retrieve full details for a job including its tests and last run information.

GET
/api/jobs/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.

In: header

Path Parameters

id*string

Job ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://demo.supercheck.dev/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "cronSchedule": "string",
  "status": "pending",
  "alertConfig": {
    "enabled": true,
    "notificationProviders": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "alertOnFailure": true,
    "alertOnSuccess": true,
    "alertOnTimeout": true,
    "failureThreshold": 1,
    "recoveryThreshold": 1,
    "customMessage": "string"
  },
  "tests": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "title": "string",
      "description": "string",
      "priority": "low",
      "type": "browser",
      "script": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "color": "string"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "lastRun": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "queued",
    "errorDetails": "string",
    "durationMs": 0,
    "startedAt": "2019-08-24T14:15:22Z",
    "completedAt": "2019-08-24T14:15:22Z"
  },
  "testCount": 0,
  "lastRunAt": "2019-08-24T14:15:22Z",
  "nextRunAt": "2019-08-24T14:15:22Z",
  "scheduledJobId": "string",
  "jobType": "playwright",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}